RDKit::MolChemicalFeatureFactory Class Reference

The class for finding chemical features in molecules. More...

`#include <MolChemicalFeatureFactory.h>`

## Public Member Functions

int | getNumFeatureDefs () const
| returns the number of feature definitions More...
MolChemicalFeatureDef::CollectionType::iterator | beginFeatureDefs ()
| returns an iterator referring to the first feature definition More...
MolChemicalFeatureDef::CollectionType::iterator | endFeatureDefs ()
| returns an iterator referring to the end of the feature definitions More...
MolChemicalFeatureDef::CollectionType::const_iterator | beginFeatureDefs () const
| returns a const_iterator referring to the first feature definition More...
MolChemicalFeatureDef::CollectionType::const_iterator | endFeatureDefs () const
| returns a const_iterator referring to the end of the feature definitions More...
void | addFeatureDef (MolChemicalFeatureDef::CollectionType::value_type featDef)
| appends a feature definition to the collection of features defs. More...
FeatSPtrList | getFeaturesForMol (const ROMol &mol, const char *includeOnly="", int confId=-1) const
| returns a list of features on the molecule More...

## Detailed Description

The class for finding chemical features in molecules.

Definition at line 25 of file MolChemicalFeatureFactory.h.

## Member Function Documentation

## addFeatureDef()

void RDKit::MolChemicalFeatureFactory::addFeatureDef | ( | MolChemicalFeatureDef::CollectionType::value_type | featDef | ) |

inline

appends a feature definition to the collection of features defs.

Definition at line 50 of file MolChemicalFeatureFactory.h.

## beginFeatureDefs() [1/2]

MolChemicalFeatureDef::CollectionType::iterator RDKit::MolChemicalFeatureFactory::beginFeatureDefs | ( |  | ) |

inline

returns an iterator referring to the first feature definition

Definition at line 31 of file MolChemicalFeatureFactory.h.

## beginFeatureDefs() [2/2]

MolChemicalFeatureDef::CollectionType::const_iterator RDKit::MolChemicalFeatureFactory::beginFeatureDefs | ( |  | ) | const

inline

returns a const_iterator referring to the first feature definition

Definition at line 40 of file MolChemicalFeatureFactory.h.

## endFeatureDefs() [1/2]

MolChemicalFeatureDef::CollectionType::iterator RDKit::MolChemicalFeatureFactory::endFeatureDefs | ( |  | ) |

inline

returns an iterator referring to the end of the feature definitions

Definition at line 35 of file MolChemicalFeatureFactory.h.

## endFeatureDefs() [2/2]

MolChemicalFeatureDef::CollectionType::const_iterator RDKit::MolChemicalFeatureFactory::endFeatureDefs | ( |  | ) | const

inline

returns a const_iterator referring to the end of the feature definitions

Definition at line 45 of file MolChemicalFeatureFactory.h.

## getFeaturesForMol()

FeatSPtrList RDKit::MolChemicalFeatureFactory::getFeaturesForMol | ( | const ROMol & | mol,
|  | const char * | includeOnly = `""`,
|  | int | confId = `-1`
| ) |  | const

returns a list of features on the molecule

Parameters

  mol | The molecule of interest
  includeOnly | (optional) if this is non-null, only features in this family will be returned
  confId | (optional) the conformer id to use

## getNumFeatureDefs()

int RDKit::MolChemicalFeatureFactory::getNumFeatureDefs | ( |  | ) | const

inline

returns the number of feature definitions

Definition at line 28 of file MolChemicalFeatureFactory.h.

The documentation for this class was generated from the following file:

- MolChemicalFeatureFactory.h